
.text-placeholder {
  @extend %placeholder-animation;
  height: 15px;
  width: 100%;
  margin-bottom: var(--margin-base);
  border-radius: var(--default-box-radius);
}

.avatar-placeholder {
  @extend %placeholder-animation;
  height: 200px;
  width: 100%;
  margin-bottom: var(--margin-base);
  border-radius: var(--default-box-radius);
}

.card-placeholder {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  align-items: start;
  background-color: var(--color-gray-dark);
  box-shadow: var(--default-box-shadow);
  border-radius: var(--default-box-radius);
  padding: calc(var(--margin-base) * 2);
}

@keyframes placeHolderShimmer {
  0% {
    background-position: -468px 0
  }
  100% {
    background-position: 468px 0
  }
}

%placeholder-animation {
  animation-duration: 1.25s;
  animation-fill-mode: forwards;
  animation-iteration-count: infinite;
  animation-name: placeHolderShimmer;
  animation-timing-function: linear;
  background: var(--color-gray-xdark);
  background: linear-gradient(to right, var(--color-gray-xdark) 10%, var(--color-gray-xxdark) 18%, var(--color-gray-xdark) 33%);
  background-size: 800px 104px;
  position: relative;
}
